OfficeGest
Workshop/Processes/{process}

Show workshop process details

Returns detailed information about a specific workshop process, including vehicle, owner and customer details.

GET
/workshop/processes/{process}
AuthorizationBearer <token>

In: header

Path Parameters

processstring

Response Body

curl -X GET "https://og-tenant1.test:8003/api/v2/workshop/processes/string"
{
  "data": {
    "id": 0,
    "plate": "string",
    "km_counter": 0,
    "created_at": "2019-08-24T14:15:22Z",
    "process_status": {
      "resource": "string"
    },
    "vehicle": {
      "resource": "string"
    },
    "customer": {
      "resource": "string"
    }
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}